/*
 *      Wemos-Adress-MAC.ino
 * 
 * Get MAC Address of ESP8266 in Arduino IDE
 * Source:  Circuits4you.com
 * et modification gaston.etienne@free.fr
*/
#include <ESP8266WiFi.h>
 
  const char* wifiName = "votre_SSID"; // SSID de votre réseau WiFi
  const char* wifiPass = "votre_password";// password réseau WiFi
 
// the setup function runs once when you press reset or power the board

void setup() {
  Serial.begin(115200); // initialisation du port serie

  delay(10);
  // We start by connecting to a WiFi network
  Serial.println();
  Serial.print("ESP8266 MAC: ");
  Serial.println(WiFi.macAddress());
  Serial.print("Connecting to ");
  Serial.println(wifiName);
 
  WiFi.begin(wifiName, wifiPass);
 
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
 
  Serial.println("");
  Serial.println("WiFi connected");
  Serial.println("IP address: ");
  Serial.println(WiFi.localIP());
}
 
// the loop function runs over and over again forever
void loop() {}
